%define upstream_name    Config-Auto
%define upstream_version 0.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Magical config file parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::String)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(YAML) >= 0.670.0
BuildArch:  noarch

%description
This module was written after having to write Yet Another Config File
Parser for some variety of colon-separated config. I decided "never again".

Config::Auto aims to be the most 'DWIM' config parser available, by
detecting configuration styles, include paths and even config filenames
automagically.

See the the HOW IT WORKS manpage section below on implementation details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 212726
- update to 0.42
- update to 0.38

* Fri Jul 08 2011 jquelin <jquelin> 0.360.0-1.mga2
+ Revision: 120351
- update to 0.36

* Wed Mar 09 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 66927
- update to 0.34

* Fri Feb 25 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 59630
- update to 0.32

* Wed Jan 26 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 40708
- imported package perl-Config-Auto


* Wed Jan 26 2011 cpan2dist 0.30-1mdv
- initial mdv release, generated with cpan2dist
